NX Open C++ Reference Guide
|
Represents a SketchEllipseBuilder builder
To create a new instance of this class, use SketchCollection::CreateSketchEllipseBuilder
Default values.
More...
Public Member Functions | |
NXOpen::Point * | CenterPoint () |
Returns the center point Created in NX6.0.0. | |
bool | Closed () |
Returns the closed flag Created in NX6.0.0. | |
NXOpen::Expression * | EndAngle () |
Returns the end angle Created in NX6.0.0. | |
NXOpen::Point * | MajorPoint () |
Returns the point in major axis to calculate the major radius Created in NX6.0.0. | |
NXOpen::Expression * | MajorRadius () |
Returns the major radius Created in NX6.0.0. | |
NXOpen::Point * | MinorPoint () |
Returns the point in minor axis to calculate the minor radius Created in NX6.0.0. | |
NXOpen::Expression * | MinorRadius () |
Returns the minor radius Created in NX6.0.0. | |
NXOpen::Expression * | RotationAngle () |
Returns the rotation angle Created in NX6.0.0. | |
void | SetCenterPoint (NXOpen::Point *centerPoint) |
Sets the center point Created in NX6.0.0. | |
void | SetClosed (bool closed) |
Sets the closed flag Created in NX6.0.0. | |
void | SetMajorPoint (NXOpen::Point *majorPoint) |
Sets the point in major axis to calculate the major radius Created in NX6.0.0. | |
void | SetMinorPoint (NXOpen::Point *minorPoint) |
Sets the point in minor axis to calculate the minor radius Created in NX6.0.0. | |
NXOpen::Expression * | StartAngle () |
Returns the start angle Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a SketchEllipseBuilder builder
To create a new instance of this class, use SketchCollection::CreateSketchEllipseBuilder
Default values.
Property | Value |
---|---|
Closed |
true |
EndAngle.Value |
360 |
MajorRadius.Value |
50 (millimeters part), 2 (inches part) |
MinorRadius.Value |
25 (millimeters part), 1 (inches part) |
RotationAngle.Value |
0 |
StartAngle.Value |
0 |
Created in NX6.0.0.
NXOpen::Point* NXOpen::SketchEllipseBuilder::CenterPoint | ( | ) |
Returns the center point
Created in NX6.0.0.
License requirements : None
bool NXOpen::SketchEllipseBuilder::Closed | ( | ) |
Returns the closed flag
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchEllipseBuilder::EndAngle | ( | ) |
Returns the end angle
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::SketchEllipseBuilder::MajorPoint | ( | ) |
Returns the point in major axis to calculate the major radius
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchEllipseBuilder::MajorRadius | ( | ) |
Returns the major radius
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::SketchEllipseBuilder::MinorPoint | ( | ) |
Returns the point in minor axis to calculate the minor radius
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchEllipseBuilder::MinorRadius | ( | ) |
Returns the minor radius
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchEllipseBuilder::RotationAngle | ( | ) |
Returns the rotation angle
Created in NX6.0.0.
License requirements : None
void NXOpen::SketchEllipseBuilder::SetCenterPoint | ( | NXOpen::Point * | centerPoint | ) |
Sets the center point
Created in NX6.0.0.
License requirements : None
centerPoint | centerpoint |
void NXOpen::SketchEllipseBuilder::SetClosed | ( | bool | closed | ) |
Sets the closed flag
Created in NX6.0.0.
License requirements : None
closed | closed |
void NXOpen::SketchEllipseBuilder::SetMajorPoint | ( | NXOpen::Point * | majorPoint | ) |
Sets the point in major axis to calculate the major radius
Created in NX6.0.0.
License requirements : None
majorPoint | majorpoint |
void NXOpen::SketchEllipseBuilder::SetMinorPoint | ( | NXOpen::Point * | minorPoint | ) |
Sets the point in minor axis to calculate the minor radius
Created in NX6.0.0.
License requirements : None
minorPoint | minorpoint |
NXOpen::Expression* NXOpen::SketchEllipseBuilder::StartAngle | ( | ) |
Returns the start angle
Created in NX6.0.0.
License requirements : None